Bug 644164 - Publican RedHat-Internal brand renders "Edition" field in wrong colour.
Publican RedHat-Internal brand renders "Edition" field in wrong colour.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 00:06 EDT by Andrew Ross
Modified: 2013-10-20 18:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-09 22:07:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ross 2010-10-19 00:06:46 EDT
Description of problem: The edition field on the title page is being rendered in blue. This seems to only be a recent issue, perhaps linked to changes in the common brand?


Version-Release number of selected component (if applicable):
publican-redhat-internal-1.3-0.el5.noarch

How reproducible:


Steps to Reproduce:
1. Create a book
2. Edit publican.cfg "brand: RedHat-Internal"
3. Build book
4. View html in browser
  
Actual results: "Edition 1.0" in blue font


Expected results: "Edition 1.0" in red font


Additional info:
Comment 1 Ruediger Landmann 2010-10-19 00:13:13 EDT
(In reply to comment #0)
> Description of problem: The edition field on the title page is being rendered
> in blue. This seems to only be a recent issue, perhaps linked to changes in the
> common brand?

It is indeed.

Previously, <edition> was being set in large, red letters wherever it was marked up in a text, including bibliographies.

Publican 2.2 limits this markup to <edition> when it appears on a title page. The latest Red Hat and JBoss brand packages ensure that the titlepage markup remains large and red; I neglected to release an updated Red Hat Internal Brand with this change in it too.
Comment 2 Ruediger Landmann 2010-10-19 01:25:38 EDT
Jeff has already committed the fix for this in source, together with another fix to accommodate changes to the common brand forthcoming in Publican 2.3. 

Assigning back to him and updating to ON_DEV :)
Comment 6 Andrew Ross 2010-11-03 23:50:19 EDT
Verified publican-redhat-internal-1.4-0.el5

Note You need to log in before you can comment on or make changes to this bug.